diff -Nur dlocate-0.5-0.3/debian/changelog dlocate-0.5/debian/changelog
--- dlocate-0.5-0.3/debian/changelog	2006-08-31 17:16:40.000000000 +0000
+++ dlocate-0.5/debian/changelog	2007-11-18 08:04:11.000000000 +0000
@@ -1,3 +1,11 @@
+dlocate (0.5-0.4) unstable; urgency=low
+
+  * NMU
+  * GNU locate has been split off to a separate package. Adapt dlocate to work
+    both with the new and the old setup.
+
+ -- Andreas Metzler <ametzler@debian.org>  Sun, 18 Nov 2007 08:55:12 +0100
+
 dlocate (0.5-0.3) unstable; urgency=low
 
   * Non-Maintainer Upload.
diff -Nur dlocate-0.5-0.3/debian/control dlocate-0.5/debian/control
--- dlocate-0.5-0.3/debian/control	2006-08-31 17:11:09.000000000 +0000
+++ dlocate-0.5/debian/control	2007-11-18 07:57:39.000000000 +0000
@@ -7,7 +7,7 @@
 
 Package: dlocate
 Architecture: all
-Depends: dctrl-tools | grep-dctrl (>= 0.11), dpkg (>= 1.8.0), ${perl:Depends}
+Depends: dctrl-tools | grep-dctrl (>= 0.11), dpkg (>= 1.8.0), locate | findutils (<< 4.2.31-2), ${perl:Depends}
 Description: fast alternative to dpkg -L and dpkg -S 
  Uses GNU locate to greatly speed up finding out which package a file
  belongs to (i.e. a very fast dpkg -S). Many other uses, including
diff -Nur dlocate-0.5-0.3/dlocate dlocate-0.5/dlocate
--- dlocate-0.5-0.3/dlocate	2006-08-31 17:11:09.000000000 +0000
+++ dlocate-0.5/dlocate	2007-11-18 08:05:28.000000000 +0000
@@ -17,9 +17,14 @@
 DPKGLIST=/var/lib/dlocate/dpkg-list
 DPKG_INFO=/var/lib/dpkg/info
 
-LOCATE="/usr/bin/locate" 
-# slocate diverts locate
-LOCATE=`/usr/sbin/dpkg-divert --truename /usr/bin/locate`
+if [ -x /usr/bin/locate.findutils ] ; then
+	# locate package is installed
+	LOCATE="/usr/bin/locate.findutils" 
+else
+	# slocate diverts locate
+	LOCATE=`/usr/sbin/dpkg-divert --truename /usr/bin/locate`
+fi
+
 
 OPTION="$1" ; shift
 
